[ANN] aeditor 1.3 (now works on windows) is released

Discussion in 'Ruby' started by Simon Strandgaard, Jul 7, 2004.

  1. This application is a programmers editor.

    screenshots:
    http://aeditor.rubyforge.org/wiki/wiki.pl?MainThemes

    download:
    http://rubyforge.org/frs/download.php/942/aeditor-1.3.tar.gz


    since last announcement, I have gotten bunches help
    so that aeditor now also works on windows (It didn't work earlier).
    there has been fixed many other things.
    A turbo pascal theme has been added.
    I am grateful for massive help I have gotten.. Thanks.

    Im soon going on vacation 3 week, so don't expect
    answers in that period.. I will be back 1 august.

    If you make somehow changes or has ideas for changes,
    then please share. Contact me and I will see what I can do.

    Thanks in advance

    --
    Simon Strandgaard


    Installation Guide (Windows)
    ============================

    This program has 2 dependencies.

    dependency#1 Ruby 1.8.1 or better
    http://rubyforge.org/frs/?group_id=167
    be sure that 'fxruby' gets installed.

    depencency#2 iterator 0.8 or better
    http://rubyforge.org/frs/?group_id=18&release_id=512


    Install this program by following these 3 steps:

    C:\somewhere> ruby install.rb config

    C:\somewhere> ruby install.rb setup

    C:\somewhere> ruby install.rb install

    Lets check that this program are working as its supposed to.

    C:\somewhere> editor -v
    versions:
    editor "1.2"
    fox toolkit "1.0.43"
    fxruby "1.0.25"
    iterator "0.8"
    ruby "1.8.1"

    other info:
    platform "windows"

    If you don't get similar output, then you maybe
    hasn't installed the dependencies correct.

    You may now start the program

    C:\somewhere> editor


    Congratulations. Remember this program is open source and
    that the author doesn't make profit on it.
    He appreciates whatever feedback he gets.

    Please report if this program behaves abnormal in any way,
    if there are unacceptable slowdowns, if the program mysticly dies.
    There are always room for improvment, if you have ideas
    then please share them with the author.

    authors mail adress <>


    Installation Guide (Unix/Linux/BSD)
    ===================================

    This program has 3 dependencies.

    dependency#1 Ruby 1.8.1 or better
    http://rubyforge.org/frs/?group_id=30&release_id=222

    dependency#2 fxruby 1.0.x (doesn't yet work with 1.2.x)
    http://fxruby.sourceforge.net/

    depencency#3 iterator 0.8 or better
    http://rubyforge.org/frs/?group_id=18&release_id=512


    Install this program by following these 3 steps:
    Beware, last step may require root permissions.

    prompt> ruby install.rb config

    prompt> ruby install.rb setup

    prompt> ruby install.rb install

    Lets check that this program are working as its supposed to.

    prompt> editor -v
    versions:
    editor "1.2"
    fox toolkit "1.0.43"
    fxruby "1.0.25"
    iterator "0.8"
    ruby "1.8.1"

    other info:
    platform "unix"

    If you don't get similar output, then you maybe
    hasn't installed the dependencies correct.

    You may now start the program

    prompt> editor


    Congratulations. Remember this program is open source and
    that the author doesn't make profit on it.
    He appreciates whatever feedback he gets.

    Please report if this program behaves abnormal in any way,
    if there are unacceptable slowdowns, if the program mysticly dies.
    There are always room for improvment, if you have ideas
    then please share them with the author.

    authors mail adress <>


    ---------------------
    [sorry to all of you for the heavy spamming recently]
     
    Simon Strandgaard, Jul 7, 2004
    #1
    1. Advertising

Want to reply to this thread or ask your own question?

It takes just 2 minutes to sign up (and it's free!). Just click the sign up button to choose a username and then you can ask your own questions on the forum.
Similar Threads
  1. Simon Strandgaard

    [ANN] Aeditor-0.1 is unleashed

    Simon Strandgaard, Jul 1, 2003, in forum: Ruby
    Replies:
    12
    Views:
    204
    Simon Strandgaard
    Jul 2, 2003
  2. Simon Strandgaard

    [ANN] Aeditor 0.6, feedback wanted

    Simon Strandgaard, Jul 11, 2003, in forum: Ruby
    Replies:
    4
    Views:
    163
    Simon Strandgaard
    Jul 13, 2003
  3. Recheis Meinrad

    AW: [ann] AEditor 0.10, folding added

    Recheis Meinrad, Aug 12, 2003, in forum: Ruby
    Replies:
    1
    Views:
    102
    Simon Strandgaard
    Aug 12, 2003
  4. Simon Strandgaard

    [ANN] AEditor 0.12 released

    Simon Strandgaard, Apr 1, 2004, in forum: Ruby
    Replies:
    0
    Views:
    96
    Simon Strandgaard
    Apr 1, 2004
  5. Simon Strandgaard

    [ANN] aeditor 1.0 released

    Simon Strandgaard, Jul 5, 2004, in forum: Ruby
    Replies:
    23
    Views:
    323
    Neil Hodgson
    Jul 8, 2004
Loading...

Share This Page